
휴면계정 정리 모듈
==================

일정 기간 이상 로그인하지 않은 회원 계정을 정리해 주는 XE 모듈입니다.

2015년 8월 18일부터 시행되는 정보통신망 이용촉진 및 정보보호 등에 관한 법률 제29조제2항 및 동 시행령 제16조에 따라,
정보통신서비스 제공자는 1년 이상 서비스를 이용하지 않은 이용자의 개인정보를 파기하거나
다른 이용자의 개인정보와 분리하여 별도로 저장·관리하여야 합니다.
이 모듈을 올바르게 사용할 경우 위의 법령을 따르는 데 도움이 될 수 있습니다.

아래와 같은 기능을 지원합니다.

- 휴면계정 판단 기준 설정 (3개월, 6개월, 1년, 2년 등)
- 휴면계정 일괄 정리 또는 개별적으로 정리
  - 삭제 (탈퇴 처리)
  - 별도의 저장공간으로 이동 (일반 모듈들이 참조하지 않는 별도의 테이블 사용)
- 관리자가 직접 정리하지 않아도 휴면계정을 그때그때 자동으로 정리하는 기능
  - 자동 정리를 시작할 날짜를 지정할 수 있음
  - 자동 정리 예정인 회원에게 안내메일 발송을 발송하는 기능
- 별도의 저장공간으로 이동된 회원을 관리자가 개별적으로 복원할 수 있음
- 별도의 저장공간으로 이동된 회원과 같은 아이디, 메일주소, 닉네임 등으로 재가입 금지
- 별도의 저장공간으로 이동된 회원이 다시 로그인을 시도할 경우 자동 복원 또는 안내문 출력
- 관리 용도로 사용하는 계정은 정리되지 않도록 예외 처리 가능

설치 및 사용 환경
-----------------

- 최소 환경: XE 1.7.3 이상, PHP 5.2 이상
- 권장 환경: XE 1.8.3 이상, PHP 5.3 이상

안내메일을 대량으로 발송하는 경우에는 [고급 메일 발송 모듈](https://www.xpressengine.com/index.php?mid=download&package_id=22753677)
및 대량메일 전문 API를 사용하시기를 권장합니다.

버그를 신고하실 때는 사용중이신 XE 버전, PHP 버전, 호스팅 정보 (웹호스팅 업체 또는 단독서버/클라우드서버),
서버의 에러로그, 브라우저의 개발자도구로 AJAX 요청을 캡쳐했을 때 나오는 내용 등
가능한 많은 정보를 포함하여 GitHub에 이슈를 작성해 주시기 바랍니다.

주의사항
--------

한 번 삭제한 회원정보는 복구할 수 없으며, 별도의 저장공간으로 이동하는 작업에도 상당한 위험이 동반됩니다.
반드시 DB 백업 후 작업하시기 바랍니다. 작업을 성공적으로 마친 것을 확인하기 전에는 백업을 삭제하지 마십시오.
이 모듈의 작동 방식, 버그 유무 등에 대하여 제작자는 어떠한 보증도 하지 않으며,
이 모듈의 사용으로 발생하는 어떠한 결과에 대해서도 제작자는 절대 책임지지 않습니다.

휴면계정이 많은 경우 정리 및 안내메일 발송에 긴 시간이 걸릴 수 있습니다.
서버 이용자가 많지 않은 시간대에 작업하시기 바랍니다.

라이선스
--------

이 모듈은 GPLv2 라이선스의 적용을 받으며, 원하실 경우 GPLv3를 선택할 수도 있습니다.
(XE 코어의 라이선스와 다르니 유의하시기 바랍니다.)

사용만 하는 경우에는 개인용, 상업용 등 어떤 용도로도 자유롭게 사용이 가능하나,
변경하여 재배포하는 경우 반드시 GPL 라이선스를 그대로 유지해야 합니다.
이 모듈과 연동하는 다른 모듈을 개발하는 경우에도 GPL 라이선스를 사용해야 합니다.
